{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./jitsi.nix
  ];

  networking.hostName = "jitsi";
  boot.loader.grub.devices = [ "/dev/vda" ];

  crans = {
    enable = true;

    networking = {
      id = "63";
      srv = {
        enable = true;
        ipv4 = "185.230.79.15";
      };
    };

    services = {
      acme.enable = true;
    };
  };

  system.stateVersion = "24.11";
}
