{ pkgs, ... }:

{
  programs.git.enable = true;
  programs.htop.enable = true;
  programs.neovim.enable = true;
  programs.screen.enable = true;
  programs.tmux.enable = true;
  programs.vim.enable = true;

  environment.systemPackages = with pkgs; [
    bat
    coreutils-full
    fd
    helix
    inetutils
    nfs-utils
    ripgrep
    shelldap
  ];
}
